Bug 64249 - Magick*-config should be in devel package
Magick*-config should be in devel package
Product: Red Hat Raw Hide
Classification: Retired
Component: ImageMagick (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-04-30 12:43 EDT by Moritz Barsnick
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-21 00:48:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2002-04-30 12:43:47 EDT
Description of Problem:

In ImageMagick's base package, /usr/X11R6/bin/Magick-config and /usr/X11R6/bin/Magick++-config are delivered. IMHO, this is a bit misleading, as they are only really good for _developing_ something with ImageMagick. They should therefore be in ImageMagick-devel.

A side effect is that programs using libMagick may try to compile with Magick-config's output info, but fail due to missing installment of ImageMagick-devel.

Version-Release number of selected component (if applicable):

How Reproducible:


Steps to Reproduce:
1. try to build an app which relies on the ImageMagick libs (i.e. on ImageMagick-devel), such as autotrace.

Actual Results:

./configure finds Magick-config, and possibly relies on its result (e.g. "Magick-config --cflags" or "Magick-config --libs").

Expected Results:

Build should fail due to missing Magick-config, not to missing (but expected) header files or libs.

Additional Information:

Note You need to log in before you can comment on or make changes to this bug.